# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXEndField

Function

Creates the standard components "box" and "neighbors" that other modules expect Field `f` to contain.

Syntax
`
#include <dx/dx.h>
`

Field DXEndField(Field f)

Functional Details

The "box" component defines the corners of an n-dimensional box that contains all of the positions described by the Field's "positions" The "neighbors" component contains information that provides a mechanism for quick access to neighboring interpolation elements.

Note: | A "neighbors" component is not created for a Field with regular connections.

In addition, `DXEndField` sets the "dep" and "ref" attributes, if not already set, on the components listed in Table 4.

Table 4. Set Attributes

Component | Attribute | Value
--- | --- | ---
"positions" | "dep" | "positions"
"connections" | "ref" | "positions"
"data" | "dep" | "positions"
"colors" | "dep" | "positions"
"front colors" | "dep" | "positions"
"back colors" | "dep" | "positions"
"opacities" | "dep" | "positions"
"tangents" | "dep" | "positions"
"normals" | "dep" | "positions"
"binormals" | "dep" | "positions"

During this phase, `DXEndField` also checks to make sure that the number of elements in a component being set to depend on the "positions" component does actually match the number of positions in the Field.

`DXEndField` also trims all of a Field's component Arrays to use the amount of space actually containing data as specified by `DXAddArrayData`. Thus, for optimal performance, `DXEndField` should be called just prior to returning a Field. Further, after a call to `DXEndField`, pointers obtained by calls to `DXGetArrayData` to data contained in Arrays that are components of a Field cannot be assumed valid.

If you are creating a Group that contains several Fields, then `DXEndObject` may be called instead on the Group structure. This will parallelize the application of the `DXEndField` calls to the member Fields on architectures that support parallelism.

For a more complete examination of a Field, including checks to ensure that indices contained in components that refer to other components are correct, see additional details of the `Verify` module in Chapter 1. "Data Explorer Tools" in IBM Visualization Data Explorer User's Reference.

Return Value

Returns `f` or returns `NULL` and sets an error code.

See Also

`DXBoundingBox, DXChangedComponentValues, DXChangedComponentStructure, DXEmptyField, DXEndObject, DXNeighbors, DXStatistics, Verify`

"Standard Components".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page]

[IBM Home Page | Order | Search | Contact IBM | Legal ]